package com.example.clicker;

import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class Click implements View.OnClickListener {
    TextView mainText;
    String letter;
    long score = 0;

    public Click(TextView mainTxt){
        this.mainText=mainTxt;
    }
    String primer="";
    @Override
    public void onClick(View v) {
        int id = v.getId();

        if (id==R.id.main_btn)
        {
            score++;
            if (score % 100 >= 11 && score % 100 <= 14) {
                letter = " раз";
            } else {
                switch ((int) (score % 10)) {
                    case 1:
                        letter = " раз";
                        break;
                    case 2:
                    case 3:
                    case 4:
                        letter = " раза";
                        break;
                    default:
                        letter = " раз";
                }
            }
            String s = "Кнопка нажата: " + score + letter;
            mainText.setText(s);
        }
        else if (id==R.id.minus_btn){
            score--;
            if (score % 100 >= 11 && score % 100 <= 14) {
                letter = " раз";
            } else {
                switch ((int) (score % 10)) {
                    case 1:
                        letter = " раз";
                        break;
                    case 2:
                    case 3:
                    case 4:
                        letter = " раза";
                        break;
                    default:
                        letter = " раз";
                }
            }
            String s = "Кнопка нажата: " + score + letter;
            mainText.setText(s);
        }
        else if (id==R.id.drop_btn){
            score=0;
            String s = "Кнопка нажата " + score + " раз";
            mainText.setText(s);
        }

    }
}
